<?php
/**
 * Bootstrap.
 *
 * @package MadeByAura\Prime\Plugins\Elementor
 * @author  MadeByAura.com
 */

namespace MadeByAura\Prime\Plugins\Elementor;

use MadeByAura\Prime\Helpers\Assorted;
use MadeByAura\Prime\Helpers\SingletonTrait;

defined( 'ABSPATH' ) || die();

/**
 * Bootstrap.
 */
class Bootstrap {
	use SingletonTrait;

	/**
	 * Constructor.
	 */
	protected function __construct() {
		// Do not proceed if plugin is not active.
		if ( ! Assorted::is_plugin_active( 'elementor-pro/elementor-pro.php' ) ) {
			return;
		}

		// Hooks.
		Hooks\Categories::init();
		Hooks\DynamicTags::init();
		Hooks\Locations::init();
		Hooks\Scripts::init();
		Hooks\Widgets::init();
	}
}
